Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.StringChunkReader

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamCharBuffer.ChunkReader
          org.codehaus.groovy.grails.web.util.StreamCharBuffer.AbstractChunkReader
              org.codehaus.groovy.grails.web.util.StreamCharBuffer.StringChunkReader

Enclosing class:
  StreamCharBuffer

    final class StreamCharBuffer.StringChunkReader

extends StreamCharBuffer.AbstractChunkReader

Field Summary
`(package private) StreamCharBuffer.StringChunk` | `parent`
`(package private) int` | `position`

Constructor Summary
`StreamCharBuffer.StringChunkReader(StreamCharBuffer.StringChunk parent, boolean removeAfterReading)`

Method Summary
`int` | `getReadLenLimit(int askedAmount)`
`int` | `read(char[] ch, int off, int len)`

Methods inherited from class org.codehaus.groovy.grails.web.util.StreamCharBuffer.AbstractChunkReader
`getWriterUsedCounter, isValid, next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    StreamCharBuffer.StringChunk parent

### position

    int position

Constructor Detail

### StreamCharBuffer.StringChunkReader

    public StreamCharBuffer.StringChunkReader(StreamCharBuffer.StringChunk parent,
                                              boolean removeAfterReading)

Method Detail

### read

    public int read(char[] ch,
                    int off,
                    int len)

  Specified by:
    `read` in class `StreamCharBuffer.ChunkReader`

### getReadLenLimit

    public int getReadLenLimit(int askedAmount)

  Specified by:
    `getReadLenLimit` in class `StreamCharBuffer.ChunkReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project